Summary : A binary file delta generator and an RCS replacement library.
Name : xdelta
Version : 1.1.3
Release : 1tr
Group : Trustix Official
License : GPL
Source : http://switch.dl.sourceforge.net/sourceforge/xdelta/%{name}-%{version}.tar.gz
Patch : xdelta-1.1.3-largefiles.patch
Url: http://sourceforge.net/projects/xdelta/
BuildRoot : %{_tmppath}/%{name}-%{version}-root
                                                                                                                             
%description
XDelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a library interface and binary delta generator (like a diff program
for binaries) and an RCS. These changes (deltas) are similar to the
output of the "diff" program in that they may be used to store and
transmit only the changes between files. However, unlike diff, the
output of XDelta is not expressed in a human-readable format--XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files. XDelta typically outperforms GNU diff in both time and
generated-delta-size, even for plain text files. XDelta also includes
a simple implementation of the Rsync algorithm and several advanced
features for implementing RCS-like file-archival with.

%package devel
Summary : xdelta header files and libraries.
Group : Trustix Official
Requires : %{name} = %{version}-%{release}

%description devel
This package contains the xdelta header files required to develop
xdelta-based applications.

%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS"
%configure --prefix=%{_prefix} --disable-static

make
                                                                                                                             
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
%makeinstall
                                                                                                                             
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig                                                                                                                             
%files
%defattr(-,root,root)
%_bindir/xdelta
%{_libdir}/lib*.so.*.*
%_mandir/man1/xdelta.1.gz

%files devel
%defattr(-,root,root)
%_bindir/xdelta-config
%_includedir/*.h
%_libdir/lib*.la
%_libdir/lib*.so
%_datadir/aclocal/xdelta.m4                                                                                                                             
%changelog
* Thu Sep 22 2005 Bipin S <bipin at comodo dot com> 1.1.3-1tr
- Initial version for TSL-3.0
